---
title: Onderzoeksopdrachtgerichte interceptie (OOG)
updated: 2022-05-19 19:34:37Z
created: 2022-05-19 19:19:38Z
---

### OOG-interceptie alleen inzetten als dit nodig is voor het onderzoeken van dreigingen voor de nationale veiligheid => [Geïntegreerde Aanwijzing (GA)](https://www.aivd.nl/onderwerpen/sturing-op-het-werk-van-de-aivd)

## OOG-interceptie, drie fasen met ieder hun eigen waarborgen en TIB toestemmingen:
- Filtering
	- welke satelliet of welke acceslocatie (toestemming van de minister nodig en toetsing TIB)
	- bepaalde 'link' bij een satelliet, een frequentie van radioverkeer of een specifieke fiber in een datakabel (toestemming van de minister nodig en toetsing TIB)
	- negatieve en positieve filters
- Selectie
	- scheiden in metadata en inhoud
	- Op data die inhoud bevatten passen we selectie toe voordat we dit kunnen gebruiken in ons onderzoek (selectiecriteria bv telelfoonnummer) (toestemming van de minister nodig en toetsing TIB)
- Analyse
	- metadata analyseren we op basis van bepaalde kenmerken (toestemming van de minister nodig en toetsing TIB)
	- bewaartermijnen:
		- kabeldata: 1 jaar tijd voor beoordeling op relevantie.
		- bij nog niet relevant verlenging, via minister, met 1 jaar. Mag 2x.
		- etherdata: 3 jaar tijd voor beoordeling op relevantie.

Data die relevant is beoordeeld mag zolang worden bewaard als deze betekenis heeft.

[Source](https://www.aivd.nl/onderwerpen/onderzoeksopdrachtgerichte-interceptie-oog)